commit 27adb16027fa99d83818a0ed9f6623cb03f0c574
Author: Alan Coopersmith <alan.coopersmith@oracle.com>
Date:   Sun Apr 3 09:55:44 2022 -0700

    libXcursor 1.2.1
    
    Signed-off-by: Alan Coopersmith <alan.coopersmith@oracle.com>

commit e864ad83068016c121962a0bbe8dde26755bf26f
Author: Alan Coopersmith <alan.coopersmith@oracle.com>
Date:   Sun Apr 3 09:43:29 2022 -0700

    gitlab CI: add a basic build test
    
    Signed-off-by: Alan Coopersmith <alan.coopersmith@oracle.com>

commit f0d8a59186d415101040e7761b6cc6adfce36c5d
Author: Alan Coopersmith <alan.coopersmith@oracle.com>
Date:   Sun Apr 3 09:22:14 2022 -0700

    Build xz tarballs instead of bzip2
    
    Signed-off-by: Alan Coopersmith <alan.coopersmith@oracle.com>

commit d223fce4c7b2792ccc32e4b68090ac2d92d49f09
Author: Alan Coopersmith <alan.coopersmith@oracle.com>
Date:   Sun Apr 3 09:21:29 2022 -0700

    Fix spelling/wording issues
    
    Found by using:
        codespell --builtin clear,rare,usage,informal,code,names
    
    Signed-off-by: Alan Coopersmith <alan.coopersmith@oracle.com>

commit 66accad188420c40f0d62b409bfd2af605bb6f05
Author: Alan Coopersmith <alan.coopersmith@oracle.com>
Date:   Sun Apr 3 09:19:14 2022 -0700

    Convert COPYING from ISO-8859-1 to UTF-8
    
    Signed-off-by: Alan Coopersmith <alan.coopersmith@oracle.com>

commit 801925839d26e7c8d942c5e02c4897652ead26c8
Author: Thomas E. Dickey <dickey@invisible-island.net>
Date:   Thu May 6 20:10:41 2021 -0400

    more cppcheck-style fixes
    
    Signed-off-by: Thomas E. Dickey <dickey@invisible-island.net>

commit f807ac9c786714ef4e86ad7edfa60f92baf0b4a6
Author: Thomas E. Dickey <dickey@invisible-island.net>
Date:   Mon May 3 20:25:43 2021 -0400

    cppcheck style-fixes
    
    Signed-off-by: Thomas E. Dickey <dickey@invisible-island.net>

commit 13ca987eafed426d5347bafdf274ad59e2641650
Author: Thomas E. Dickey <dickey@invisible-island.net>
Date:   Tue May 4 04:20:14 2021 -0400

    mention "Inherits=" lists
    
    Signed-off-by: Thomas E. Dickey <dickey@invisible-island.net>

commit 6edf1caf6fe6826b3727ab19ba9e4d7ad163a48e
Author: Tobias Stoeckmann <tobias@stoeckmann.org>
Date:   Tue May 4 18:30:53 2021 +0200

    fix XcursorTheme loop regression
    
    Handle themes with multiple inherit entries. Although the previous
    commit keeped track of inherited themes, it only handled multiple theme
    entries on the highest level.
    
    This fix unconditionally checks if the next upper level contains a line.
    If it does, it processes contained themes (i.e. the current theme had an
    inherited entry in its index file).
    
    If the upper level has no more themes, it goes down a level and
    processes the next theme there. If no next theme exists, it moves down
    another level and so on until it reaches level 0, i.e. the initially
    supplied theme.
    
    The lowest level (d = 0) is treated specially because we must not modify
    the supplied theme, which could happen when calling _XcursorNextPath.
    
    Signed-off-by: Tobias Stoeckmann <tobias@stoeckmann.org>

commit b47ca9858ee11bdbd08f1e31102116ff51cb6be5
Author: Tobias Stoeckmann <tobias@stoeckmann.org>
Date:   Sun May 2 16:00:25 2021 +0200

    Handle more theme loop situations
    
    This is a follow up for commit f64a8cc1a65dcad4294e2988b402a34175019663
    resulting from https://bugs.freedesktop.org/show_bug.cgi?id=3603
    
    The current loop detection only works for direct self references but not
    for transitive ones. Limiting the inheritance depth fixes this issue as
    suggested by Keith Packard.
    
    I avoided the introduction of a recursion function. Instead I modified
    XcursorScanTheme to work iterative.
    
    The current recursion code adds the "Inherits=..." line to heap and has
    an iteration variable to go through all themes listed in that line per
    recursion. This is covered with the newly introduced XcursorInherit
    struct with its fields "line" and "theme". Since "theme" points into
    "line", only "line" has to be freed eventually.
    
    If a fixed inheritage limit of 32 is reached, the code stops processing
    and returns NULL. It also returns NULL if it detects the initial theme
    in one of the inheritages to break the loop early on.
    
    Last but not least I removed the printf statement. The only situation in
    which libXcursor writes to stdout is when it is explicitly requested.
    
    Signed-off-by: Tobias Stoeckmann <tobias@stoeckmann.org>

commit 403bb32d5fb0dbb9e83ec7a5743b2fee75445ea7
Author: Thomas E. Dickey <dickey@invisible-island.net>
Date:   Fri Mar 19 17:08:42 2021 -0400

    eliminate special escaping for "/*" which produces look-alike Unicode for
    newer groff (making select/paste useless), but is not necessary with
    groff, mandoc or Solaris 10 nroff.
    
    Signed-off-by: Thomas E. Dickey <dickey@invisible-island.net>

commit 1ab5ffa9e394bf51f90893210fc6f1e3849891ab
Author: Thomas E. Dickey <dickey@invisible-island.net>
Date:   Thu Mar 18 10:29:49 2021 -0400

    fix a typo and a style issue
    
    Signed-off-by: Thomas E. Dickey <dickey@invisible-island.net>

commit 9898afadfbe000159cbaaa0c4dc11c1fb09bde5b
Author: Thomas E. Dickey <dickey@invisible-island.net>
Date:   Wed Mar 17 19:07:19 2021 -0400

    update copyright notice
    
    Signed-off-by: Thomas E. Dickey <dickey@invisible-island.net>

commit d64dda62def8318ddf613918f6b7a652aafb1471
Author: Thomas E. Dickey <dickey@invisible-island.net>
Date:   Wed Mar 17 18:52:16 2021 -0400

    fix raggedy prototypes and structure declarations using tabstops in appropriate macros
    
    Signed-off-by: Thomas E. Dickey <dickey@invisible-island.net>

commit 8560016436dc521b373c5bb25860e009fa4e291d
Author: Thomas E. Dickey <dickey@invisible-island.net>
Date:   Tue Mar 16 20:36:15 2021 -0400

    document the API called from libX11
    
    Signed-off-by: Thomas E. Dickey <dickey@invisible-island.net>

commit bacd41c0c068c5f55b635a4887b4185ad2e3ea10
Author: Thomas E. Dickey <dickey@invisible-island.net>
Date:   Tue Mar 16 19:34:51 2021 -0400

    document the cursor-comments functions
    
    Signed-off-by: Thomas E. Dickey <dickey@invisible-island.net>

commit 821254578e15440d2177fff0b61f73590ae29869
Author: Thomas E. Dickey <dickey@invisible-island.net>
Date:   Tue Mar 16 18:21:47 2021 -0400

    document the animation support functions
    
    Signed-off-by: Thomas E. Dickey <dickey@invisible-island.net>

commit 2695829868243d41db5b47c9269423caca8dd1b4
Author: Thomas E. Dickey <dickey@invisible-island.net>
Date:   Tue Mar 16 18:00:22 2021 -0400

    improve explanation of Xcursor's search algorithm
    
    Signed-off-by: Thomas E. Dickey <dickey@invisible-island.net>

commit 80cd802e0c2bf3af730dc7f852cb80c713e9db6c
Author: Thomas E. Dickey <dickey@invisible-island.net>
Date:   Tue Mar 16 16:40:03 2021 -0400

    start on the animated cursors; fixup whitespace
    
    Signed-off-by: Thomas E. Dickey <dickey@invisible-island.net>

commit 36650c9455428f007f4feb682ecbc9385e31ce71
Author: Thomas E. Dickey <dickey@invisible-island.net>
Date:   Tue Mar 16 15:52:39 2021 -0400

    update ".so" links, and fix a special case for "const char *" in parsing function-names
    
    Signed-off-by: Thomas E. Dickey <dickey@invisible-island.net>

commit 23a0faa12948bfd9cc18ecb95025007c9261c2dd
Author: Thomas E. Dickey <dickey@invisible-island.net>
Date:   Tue Mar 16 04:25:38 2021 -0400

    document the cursor-load functions
    
    Signed-off-by: Thomas E. Dickey <dickey@invisible-island.net>

commit 5b15abee96488c4771228ac6020c67c0d59d5100
Author: Thomas E. Dickey <dickey@invisible-island.net>
Date:   Tue Mar 16 03:58:23 2021 -0400

    add see-also section
    
    Signed-off-by: Thomas E. Dickey <dickey@invisible-island.net>

commit 8ca8885d3153d6091e7c7b0a8c9510cd487cd583
Author: Thomas E. Dickey <dickey@invisible-island.net>
Date:   Mon Mar 15 20:24:39 2021 -0400

    document the library-attributes
    
    Signed-off-by: Thomas E. Dickey <dickey@invisible-island.net>

commit 61adeda1d32b1f298551d51616286bff104fcd69
Author: Thomas E. Dickey <dickey@invisible-island.net>
Date:   Mon Mar 15 19:49:27 2021 -0400

    document the theme_core setter/getter functions
    
    Signed-off-by: Thomas E. Dickey <dickey@invisible-island.net>

commit f5b6dc1af2398ce2e55d0e71d91b12e6612e1f3e
Author: Thomas E. Dickey <dickey@invisible-island.net>
Date:   Mon Mar 15 19:32:12 2021 -0400

    improve explanation for functions which load images
    
    Signed-off-by: Thomas E. Dickey <dickey@invisible-island.net>

commit bd591012ed1521d4d6dd602f831f13bd57d6782b
Author: Thomas E. Dickey <dickey@invisible-island.net>
Date:   Mon Mar 15 19:00:14 2021 -0400

    italicize parameter names, for readability
    
    Signed-off-by: Thomas E. Dickey <dickey@invisible-island.net>

commit 438e798b34c7ef7c52455247cb5361eab728fe76
Author: Thomas E. Dickey <dickey@invisible-island.net>
Date:   Mon Mar 15 18:47:03 2021 -0400

    correct a prototype
    
    Signed-off-by: Thomas E. Dickey <dickey@invisible-island.net>

commit a383f6cc5d64715012e7c53c70a624c303103d4d
Author: Thomas E. Dickey <dickey@invisible-island.net>
Date:   Sun Mar 14 19:24:48 2021 -0400

    further formatting fixes.  added script to create/find ".so" files which are missing
    
    Signed-off-by: Thomas E. Dickey <dickey@invisible-island.net>

commit 1fd32263c0d11310b7d04f34f43051f802cc8ea7
Author: Thomas E. Dickey <dickey@invisible-island.net>
Date:   Sun Mar 14 17:18:59 2021 -0400

    make the function-prototypes easier to read, by eliminating hyphenation and filling
    
    Signed-off-by: Thomas E. Dickey <dickey@invisible-island.net>

commit 979809b752773eacba6737095b1a4174cd5cf744
Author: Thomas E. Dickey <dickey@invisible-island.net>
Date:   Thu Mar 11 20:17:08 2021 -0500

    document the other environment variables
    
    Signed-off-by: Thomas E. Dickey <dickey@invisible-island.net>

commit fb377b9a71dbc0a6d52d61eed4d47f99bb06d584
Author: Thomas E. Dickey <dickey@invisible-island.net>
Date:   Thu Mar 11 18:28:05 2021 -0500

    amend that...
    
    Signed-off-by: Thomas E. Dickey <dickey@invisible-island.net>

commit 362fdcfc3ed7fd0841c48c2a7b6f3fc3af5d5cdb
Author: Thomas E. Dickey <dickey@invisible-island.net>
Date:   Thu Mar 11 18:26:48 2021 -0500

    add check in case the image size is 0x0
    
    Signed-off-by: Thomas E. Dickey <dickey@invisible-island.net>

commit 09f69a8829fea8939afda32fe4f25f1eda57085d
Author: Thomas E. Dickey <dickey@invisible-island.net>
Date:   Thu Mar 11 18:04:23 2021 -0500

    fix stricter gcc warnings using casts
    
    Signed-off-by: Thomas E. Dickey <dickey@invisible-island.net>

commit 152f8e45db1d2cceeceac6ae8dafb9b48d20d8e8
Author: Thomas E. Dickey <dickey@invisible-island.net>
Date:   Thu Mar 11 17:24:36 2021 -0500

    fix stricter gcc warnings using casts
    
    Signed-off-by: Thomas E. Dickey <dickey@invisible-island.net>

commit 628cde0575a1e3819e73fa631d6532f9f5409e14
Author: Thomas E. Dickey <dickey@invisible-island.net>
Date:   Thu Mar 11 17:18:31 2021 -0500

    fix stricter gcc warnings by changing the type for the loop variable to
    match the type of the loop limit
    
    Signed-off-by: Thomas E. Dickey <dickey@invisible-island.net>

commit ce907e36e0869a4fcf89e2aeaa4d9d0cb52d7644
Author: Thomas E. Dickey <dickey@invisible-island.net>
Date:   Thu Mar 11 04:14:45 2021 -0500

    quiet warnings for unused parameters
    
    Signed-off-by: Thomas E. Dickey <dickey@invisible-island.net>

commit 7623dae73c71fd3bfc2b820e6c98eb99b36dba44
Author: Thomas E. Dickey <dickey@invisible-island.net>
Date:   Wed Mar 10 19:41:43 2021 -0500

    fix a missing initializer
    
    Signed-off-by: Thomas E. Dickey <dickey@invisible-island.net>

commit cea72e14274d3288b641e14f6cf1171b97485790
Author: Thomas E. Dickey <dickey@invisible-island.net>
Date:   Wed Mar 10 19:36:04 2021 -0500

    quiet normal gcc warnings using casts (no object change)
    
    Signed-off-by: Thomas E. Dickey <dickey@invisible-island.net>

commit 204b6f130858ef038832887ea10488e7aed711a6
Author: Valentin <vakevk+git@gmail.com>
Date:   Sun Aug 30 15:37:19 2020 +0200

    Fix undefined behavior
    
    Without the casts the bytes accesses get converted to int. but int is
    not guaranteed to be 4 bytes large. Even when it is 4 bytes large
    `bytes[3] << 24` does not fit because int is signed.

commit 448398a3b97a77648e90cc993597bafb2ad95eac
Author: Valentin <vakevk+git@gmail.com>
Date:   Sun Aug 30 15:35:16 2020 +0200

    Use fixed size integer type
    
    This type is meant to be 4 bytes large as seen in _XcursorReadUInt which
    always reads 4 bytes. An unsigned int is often 4 bytes large but this
    isnt' guaranteed so it is cleaner to use the exact type we want.

commit b84b5d100f193fda0630c4d6fa889cd3e05ca033
Author: Alan Coopersmith <alan.coopersmith@oracle.com>
Date:   Sun Mar 10 17:36:26 2019 -0700

    libXcursor 1.2.0
    
    Signed-off-by: Alan Coopersmith <alan.coopersmith@oracle.com>

commit 8ff9605921a6ea3e05b5c72aa1b2a7f78b624699
Author: Alan Coopersmith <alan.coopersmith@oracle.com>
Date:   Fri Dec 7 19:41:07 2018 -0800

    Update configure.ac bug URL for gitlab migration
    
    Signed-off-by: Alan Coopersmith <alan.coopersmith@oracle.com>

commit 534456082ed051d6427a77e4bda19473ea8b621c
Author: Alan Coopersmith <alan.coopersmith@oracle.com>
Date:   Mon Nov 19 21:47:26 2018 -0800

    Update README for gitlab migration
    
    Signed-off-by: Alan Coopersmith <alan.coopersmith@oracle.com>

commit 2263c196cb0dcb8547b378df7b35f83b8b99c01e
Author: Cosimo Cecchi <cosimoc@gnome.org>
Date:   Fri Nov 9 20:06:41 2018 -0800

    Support XDG user data dir location
    
    Nowadays ~/.icons is not used anymore as the preferred location for
    custom user icon themes; XDG_DATA_HOME/icons (aka ~/.local/share/icons)
    is what toolkits like GTK prefer.
    
    Prepend that location to the default xcursor path, so that cursor
    themes installed there can be used by apps and toolkits that use
    libXcursor.

commit f64a8cc1a65dcad4294e2988b402a34175019663
Author: Philipp Ludwig <git-devel@philippludwig.net>
Date:   Sun Jan 22 14:21:54 2017 +0100

    Fix crash when encountering cursor themes with circular dependencies.
    
    https://bugs.freedesktop.org/show_bug.cgi?id=3603
    
    Signed-off-by: Philipp Ludwig <git-devel@philippludwig.net>
    Signed-off-by: Alan Coopersmith <alan.coopersmith@oracle.com>

commit 4828abe494df8fb4aa00dcaa22a03446ba418d01
Author: Matthieu Herrb <matthieu@herrb.eu>
Date:   Sat Nov 25 11:59:31 2017 +0100

    libXcursor 1.1.15
    
    Signed-off-by: Matthieu Herrb <matthieu@herrb.eu>

commit 4794b5dd34688158fb51a2943032569d3780c4b8
Author: Tobias Stoeckmann <tobias@stoeckmann.org>
Date:   Sat Oct 21 23:47:52 2017 +0200

    Fix heap overflows when parsing malicious files. (CVE-2017-16612)
    
    It is possible to trigger heap overflows due to an integer overflow
    while parsing images and a signedness issue while parsing comments.
    
    The integer overflow occurs because the chosen limit 0x10000 for
    dimensions is too large for 32 bit systems, because each pixel takes
    4 bytes. Properly chosen values allow an overflow which in turn will
    lead to less allocated memory than needed for subsequent reads.
    
    The signedness bug is triggered by reading the length of a comment
    as unsigned int, but casting it to int when calling the function
    XcursorCommentCreate. Turning length into a negative value allows the
    check against XCURSOR_COMMENT_MAX_LEN to pass, and the following
    addition of sizeof (XcursorComment) + 1 makes it possible to allocate
    less memory than needed for subsequent reads.
    
    Signed-off-by: Tobias Stoeckmann <tobias@stoeckmann.org>
    Reviewed-by: Matthieu Herrb <matthieu@herrb.eu>

commit 75b10c972d15c036a692ef4590a81a6c54d384f6
Author: Mihail Konev <k.mvc@ya.ru>
Date:   Thu Jan 26 13:52:49 2017 +1000

    autogen: add default patch prefix
    
    Signed-off-by: Mihail Konev <k.mvc@ya.ru>

commit 721901fec3d829426d7c8df82a14beb11905c7a8
Author: Emil Velikov <emil.l.velikov@gmail.com>
Date:   Mon Mar 9 12:00:52 2015 +0000

    autogen.sh: use quoted string variables
    
    Place quotes around the $srcdir, $ORIGDIR and $0 variables to prevent
    fall-outs, when they contain space.
    
    Signed-off-by: Emil Velikov <emil.l.velikov@gmail.com>
    Reviewed-by: Peter Hutterer <peter.hutterer@who-t.net>
    Signed-off-by: Peter Hutterer <peter.hutterer@who-t.net>

commit 860bda4cb1f126f42cfc255c958aa3c7be17f3c6
Author: Peter Hutterer <peter.hutterer@who-t.net>
Date:   Tue Jan 24 10:32:07 2017 +1000

    autogen.sh: use exec instead of waiting for configure to finish
    
    Syncs the invocation of configure with the one from the server.
    
    Signed-off-by: Peter Hutterer <peter.hutterer@who-t.net>
    Reviewed-by: Emil Velikov <emil.velikov@collabora.com>

commit 897213f36baf6926daf6d192c709cf627aa5fd05
Author: shubham shrivastav <shubham.sh@samsung.com>
Date:   Fri Jun 5 13:36:22 2015 -0700

    Insufficient memory for terminating null of string in _XcursorThemeInherits
    
    Fix does one byte of memory allocation for null termination of string.
    https://bugs.freedesktop.org/show_bug.cgi?id=90857
    
    Reviewed-by: Keith Packard <keithp@keithp.com>
    Signed-off-by: Alan Coopersmith <alan.coopersmith@oracle.com>

commit edf52212a09bd80b52dc9932b5ca19e20dfcaa2b
Author: Alan Coopersmith <alan.coopersmith@oracle.com>
Date:   Sat Oct 18 10:52:49 2014 -0700

    Fix some clang integer sign/size mismatch warnings
    
    Signed-off-by: Alan Coopersmith <alan.coopersmith@oracle.com>

commit bbf3c582c97af3abfaf81e3ca63646d59fe6e28a
Author: Alan Coopersmith <alan.coopersmith@oracle.com>
Date:   Sat Oct 18 10:24:13 2014 -0700

    Use strdup() instead of malloc(strlen())+strcpy()
    
    Signed-off-by: Alan Coopersmith <alan.coopersmith@oracle.com>

commit 2e6bda49d062d5064efe66a066558f7d1eec7e78
Author: Alan Coopersmith <alan.coopersmith@oracle.com>
Date:   Sat May 31 21:39:32 2014 -0700

    autogen.sh: Honor NOCONFIGURE=1
    
    See http://people.gnome.org/~walters/docs/build-api.txt
    
    Signed-off-by: Alan Coopersmith <alan.coopersmith@oracle.com>

commit b1df53701f40959ac66c26ca2e5263bb521d0ebb
Author: Alan Coopersmith <alan.coopersmith@oracle.com>
Date:   Sat May 31 21:38:41 2014 -0700

    configure: Drop AM_MAINTAINER_MODE
    
    Signed-off-by: Alan Coopersmith <alan.coopersmith@oracle.com>

commit f92f118047ee8cea7dbbc734d476225f033ba0b7
Author: Alan Coopersmith <alan.coopersmith@oracle.com>
Date:   Wed May 29 23:22:29 2013 -0700

    libXcursor 1.1.14
    
    Signed-off-by: Alan Coopersmith <alan.coopersmith@oracle.com>

commit 8f677eaea05290531d007d1fec2768119926088d
Author: Alan Coopersmith <alan.coopersmith@oracle.com>
Date:   Fri Apr 12 21:17:28 2013 -0700

    signedness bug & integer overflow in _XcursorFileHeaderCreate() [CVE-2013-2003]
    
    When parsing cursor files, a user defined (e.g. through environment
    variables) cursor file is opened and parsed.
    
    The header is read in _XcursorReadFileHeader(), which reads an unsigned
    int for the number of toc structures in the header, but it was being
    passed to _XcursorFileHeaderCreate() as a signed int to allocate those
    structures.  If the number was negative, it would pass the bounds check
    and could overflow the calculation for how much memory to allocate to
    store the data being read, leading to overflowing the buffer with the
    data read from the user controlled file.
    
    Reported-by: Ilja Van Sprundel <ivansprundel@ioactive.com>
    Signed-off-by: Alan Coopersmith <alan.coopersmith@oracle.com>

commit 1b98fd6a2e8c00a563187849a585e68c7344468b
Author: Alan Coopersmith <alan.coopersmith@oracle.com>
Date:   Tue Jan 15 18:51:39 2013 -0800

    Replace deprecated Automake INCLUDES variable with AM_CPPFLAGS
    
    Excerpt https://lists.gnu.org/archive/html/automake/2012-12/msg00038.html
    
      - Support for the long-deprecated INCLUDES variable will be removed
        altogether in Automake 1.14.  The AM_CPPFLAGS variable should be
        used instead.
    
    This variable was deprecated in Automake releases prior to 1.10, which is
    the current minimum level required to build X.
    
    Signed-off-by: Alan Coopersmith <alan.coopersmith@oracle.com>

commit 2a9eaf3305d1577ad763d56dddd46e10f8d0676b
Author: Alan Coopersmith <alan.coopersmith@oracle.com>
Date:   Wed Mar 7 18:54:15 2012 -0800

    libXcursor 1.1.13
    
    Signed-off-by: Alan Coopersmith <alan.coopersmith@oracle.com>

commit 8229cf75b34c2991eaf973f05326be9bfa16ef0c
Author: Alan Coopersmith <alan.coopersmith@oracle.com>
Date:   Thu Nov 24 13:10:15 2011 -0800

    XcursorImageLoadCursor: return failure if _XcursorGetDisplayInfo fails
    
    Error: Null pointer dereference (CWE 476)
       Read from null pointer 'info'
            at line 615 of src/cursor.c in function 'XcursorImageLoadCursor'.
              Function '_XcursorGetDisplayInfo' may return constant 'NULL' at line 134, called at line 597.
              Null pointer introduced at line 134 of src/display.c in function '_XcursorGetDisplayInfo'.
    
    [ This bug was found by the Parfait 0.3.7 bug checking tool.
      For more information see http://labs.oracle.com/projects/parfait/ ]
    
    Signed-off-by: Alan Coopersmith <alan.coopersmith@oracle.com>
    Reviewed-by: Jeremy Huddleston <jeremyhu@apple.com>

commit 2b8d373bddf427bcd95e2595cb64740ebd1d0d30
Author: Alan Coopersmith <alan.coopersmith@oracle.com>
Date:   Thu Nov 24 12:59:56 2011 -0800

    XcursorFileSaveImages: plug memory leak on invalid input
    
    Error: Memory leak (CWE 401)
       Memory leak of pointer 'comments' allocated with XcursorCommentsCreate(0)
            at line 982 of src/file.c in function 'XcursorFileSaveImages'.
              'comments' allocated at line 978 with XcursorCommentsCreate(0).
              comments leaks when comments != 0 at line 981.
    
    [ This bug was found by the Parfait 0.3.7 bug checking tool.
      For more information see http://labs.oracle.com/projects/parfait/ ]
    
    Signed-off-by: Alan Coopersmith <alan.coopersmith@oracle.com>
    Reviewed-by: Jeremy Huddleston <jeremyhu@apple.com>

commit bcfb8e8ce56cf47bc6a61bd8c896bafba9e2a9c2
Author: Jon TURNEY <jon.turney@dronecode.org.uk>
Date:   Thu Sep 22 14:43:38 2011 +0100

    Add generated Xcursor.h to .gitignore
    
    Signed-off-by: Jon TURNEY <jon.turney@dronecode.org.uk>
    Reviewed-by:  Gaetan Nadon <memsize@videotron.ca>
    Tested-by: Gaetan Nadon <memsize@videotron.ca>
    Reviewed-by: Alan Coopersmith <alan.coopersmith@oracle.com>

commit 862b9ce4aa819bf87b6e24db9d7d5867cbaa577c
Author: Jon TURNEY <jon.turney@dronecode.org.uk>
Date:   Wed Sep 21 20:50:46 2011 +0100

    Fix install of generated Xcursor.h when builddir != srcdir
    
    Signed-off-by: Jon TURNEY <jon.turney@dronecode.org.uk>
    Reviewed-by:  Gaetan Nadon <memsize@videotron.ca>
    Tested-by: Gaetan Nadon <memsize@videotron.ca>
    Reviewed-by: Alan Coopersmith <alan.coopersmith@oracle.com>

commit 334dc4f4df69d780f312f23b860df11bee5e9009
Author: Alan Coopersmith <alan.coopersmith@oracle.com>
Date:   Fri Sep 16 21:41:41 2011 -0700

    Set Xcursor.h version numbers from configure.ac
    
    Based on similar commit dac73a519816 to libXft
    
    Signed-off-by: Alan Coopersmith <alan.coopersmith@oracle.com>
    Reviewed-by: Gaetan Nadon <memsize@videotron.ca>

commit e086eb1bf49f2a8c270eaebd5beb595c1dc2973e
Author: Alan Coopersmith <alan.coopersmith@oracle.com>
Date:   Fri Sep 16 21:26:17 2011 -0700

    Strip trailing whitespace
    
    Performed with: find * -type f | xargs perl -i -p -e 's{\s+$}{\n}'
    git diff -w & git diff -b show no diffs from this change
    
    Signed-off-by: Alan Coopersmith <alan.coopersmith@oracle.com>

commit d79ddc01e4b247ae95af3581b93aef2b93e76888
Author: Alan Coopersmith <alan.coopersmith@oracle.com>
Date:   Wed Jun 29 21:41:09 2011 -0700

    libXcursor 1.1.12
    
    Signed-off-by: Alan Coopersmith <alan.coopersmith@oracle.com>

commit 4ce23fcd978ed389ea30315c0e02629a31bda265
Author: Alan Coopersmith <alan.coopersmith@oracle.com>
Date:   Sun May 22 12:55:31 2011 -0700

    Mark bitmasks as unsigned ints
    
    Clears Sun compiler warnings from shifting 8 bits by 24 bits:
    "cursor.c", line 215: warning: integer overflow detected: op "<<"
    "cursor.c", line 280: warning: integer overflow detected: op "<<"
    
    Signed-off-by: Alan Coopersmith <alan.coopersmith@oracle.com>

commit 047993c76a677ca12a2b575990b99e3ddbc0dd58
Author: Jeremy Huddleston <jeremyhu@apple.com>
Date:   Sat May 7 10:16:18 2011 -0700

    Correct error handling in _XcursorAverageColor
    
    Previously it would either div-zero or get stuck in a loop until int overflow
    if called with a bad value.
    
    cursor.c:214:32: warning: Division by zero
        return (0xff << 24) | ((red/npixels) << 16) | ((green/npixels) << 8) | (blue/npixels);
    
    Found-by: clang static analyzer
    Signed-off-by: Jeremy Huddleston <jeremyhu@apple.com>

commit bee68e54e5c3a4b9f46c81366a720531e3e07a82
Author: Chris Wilson <chris@chris-wilson.co.uk>
Date:   Fri Apr 1 12:16:23 2011 +0100

    Free the FontInfo structure after loading the cursor from it.
    
    References: https://bugs.freedesktop.org/show_bug.cgi?id=2731
    Signed-off-by: Chris Wilson <chris@chris-wilson.co.uk>

commit f49e7e1608f2dac140f60bcae21d5c37f79fc41b
Author: Chris Wilson <chris@chris-wilson.co.uk>
Date:   Fri Apr 1 12:15:46 2011 +0100

    Free the partial header after failing to open the cursor.
    
    Signed-off-by: Chris Wilson <chris@chris-wilson.co.uk>

commit 073eb2c56f4794275eee40a825dbfe1232bb2690
Author: Chris Wilson <chris@chris-wilson.co.uk>
Date:   Fri Apr 1 12:14:51 2011 +0100

    Free list on shutdown.
    
    We freed the parent structure without freeing the list contained within,
    making valgrind unhappy.
    
    Signed-off-by: Chris Wilson <chris@chris-wilson.co.uk>

commit de50317ec4e0e8da7de84e85d1f7a6d2e184d58b
Author: Gaetan Nadon <memsize@videotron.ca>
Date:   Wed Feb 2 17:08:19 2011 -0500

    config: perform XCURSORPATH formatting in man/Makefile.am
    
    We can skip the extra step of using XCURSORPATH_LIST in configure.ac.
    
    Signed-off-by: Gaetan Nadon <memsize@videotron.ca>

commit a929c3621b9da8e56ce1223afd3e487fc488fa47
Author: Gaetan Nadon <memsize@videotron.ca>
Date:   Wed Feb 2 11:43:41 2011 -0500

    config: comment, minor upgrade, quote and layout configure.ac
    
    Group statements per section as per Autoconf standard layout
    Quote statements where appropriate.
    Autoconf recommends not using dnl instead of # for comments
    
    Use AC_CONFIG_FILES to replace the deprecated AC_OUTPUT with parameters.
    
    This helps automated maintenance and release activities.
    Details can be found in http://wiki.x.org/wiki/NewModuleGuidelines
    
    Signed-off-by: Gaetan Nadon <memsize@videotron.ca>

commit 96c5877fd7ebc59569f140d9e2cb30fdb8371ef1
Author: Gaetan Nadon <memsize@videotron.ca>
Date:   Fri Jan 28 19:41:37 2011 -0500

    config: replace deprecated AM_CONFIG_HEADER with AC_CONFIG_HEADERS
    
    Signed-off-by: Gaetan Nadon <memsize@videotron.ca>

commit 4f7a749fcb7a8e93d40a7621fa1c159e003b2f5c
Author: Gaetan Nadon <memsize@videotron.ca>
Date:   Fri Jan 28 16:07:07 2011 -0500

    config: replace deprecated AC_HELP_STRING with AS_HELP_STRING
    
    This silences an Automake warning.
    
    Signed-off-by: Gaetan Nadon <memsize@videotron.ca>

commit c38adc6bf116146fa1e291b9f4deed45497e5c2e
Author: Gaetan Nadon <memsize@videotron.ca>
Date:   Thu Jan 27 18:50:14 2011 -0500

    config: remove AC_PROG_CC as it overrides AC_PROG_C_C99
    
    XORG_STRICT_OPTION from XORG_DEFAULT_OPTIONS calls
    AC_PROG_C_C99. This sets gcc with -std=gnu99.
    If AC_PROG_CC macro is called afterwards, it resets CC to gcc.
    
    Signed-off-by: Gaetan Nadon <memsize@videotron.ca>

commit 731e84d79e83b59d022d0f453b245696b4d2750f
Author: Alan Coopersmith <alan.coopersmith@oracle.com>
Date:   Wed Oct 27 22:48:19 2010 -0700

    libXcursor 1.1.11
    
    Signed-off-by: Alan Coopersmith <alan.coopersmith@oracle.com>

commit 42b7717c32b3c7097180667a9ba2f62e40fc6506
Author: Gaetan Nadon <memsize@videotron.ca>
Date:   Mon Aug 16 19:28:57 2010 -0400

    man: whitespace management
    
    Signed-off-by: Gaetan Nadon <memsize@videotron.ca>

commit 862bc06d58152e74e85fc29db7eaec06af20e00b
Author: Gaetan Nadon <memsize@videotron.ca>
Date:   Mon Aug 16 19:25:25 2010 -0400

    man: reorder makefile statements
    
    No functional change. Shadows are part of libman_PRE.
    
    Signed-off-by: Gaetan Nadon <memsize@videotron.ca>

commit b18568dd5b5a11ae49cad66a54ec50465c6ffa77
Author: Gaetan Nadon <memsize@videotron.ca>
Date:   Mon Aug 16 19:17:21 2010 -0400

    man: store shadow man pages in git rather than generating them
    
    Simplify the build process and the makefile.
    
    Local fix in CVS for bug 5628 is not required
    as the problem has been fixed in
    util-macros d9062e4077ebfd0985baf8418f3d0f111b9ddbba
    
    Signed-off-by: Gaetan Nadon <memsize@videotron.ca>

commit 68d830bcf67632b474c8996b6a2c9bcde8e27f97
Author: Gaetan Nadon <memsize@videotron.ca>
Date:   Mon Aug 16 19:05:35 2010 -0400

    config: upgrade to util-macros 1.8 for additional man page support
    
    Use MAN_SUBST now supplied in XORG_MANPAGE_SECTIONS
    The value of MAN_SUBST is the same for all X.Org packages.
    
    Use AC_PROG_SED now supplied by XORG_DEFAULT_OPTIONS
    
    Signed-off-by: Gaetan Nadon <memsize@videotron.ca>

commit 0caadca51ca56a2ae2cfe67cbd2b29e89b6a68d8
Author: Gaetan Nadon <memsize@videotron.ca>
Date:   Mon Mar 29 16:50:33 2010 -0400

    config: update AC_PREREQ statement to 2.60
    
    Unrelated to the previous patches, the new value simply reflects
    the reality that the minimum level for autoconf to configure
    all x.org modules is 2.60 dated June 2006.
    
    ftp://ftp.gnu.org/gnu/autoconf/autoconf-2.60.tar.gz
    
    Signed-off-by: Gaetan Nadon <memsize@videotron.ca>

commit b511b260ddcec34035c1d97285f27f3182663a6a
Author: Gaetan Nadon <memsize@videotron.ca>
Date:   Mon Mar 29 14:53:48 2010 -0400

    config: remove the pkgconfig pc.in file from EXTRA_DIST
    
    Automake always includes it in the tarball.
    
    Signed-off-by: Gaetan Nadon <memsize@videotron.ca>

commit a3e03bb23bf7a92bf20d51eebe692e0a4f667065
Author: Gaetan Nadon <memsize@videotron.ca>
Date:   Tue Feb 16 10:37:21 2010 -0500

    config: move CWARNFLAGS from configure.ac to Makefile.am
    
    Compiler warning flags should be explicitly set in the makefile
    rather than being merged with other packages compiler flags.
    
    Signed-off-by: Gaetan Nadon <memsize@videotron.ca>

commit 8198d1490959d49573790405e205a471ac7a5b98
Author: Gaetan Nadon <memsize@videotron.ca>
Date:   Fri Nov 27 20:56:04 2009 -0500

    Makefile.am: add ChangeLog and INSTALL on MAINTAINERCLEANFILES
    
    Now that the INSTALL file is generated.
    Allows running make maintainer-clean.

commit ecddb70049a1e79b88d4d647f7e944237055fa2e
Author: Gaetan Nadon <memsize@videotron.ca>
Date:   Wed Oct 28 14:09:10 2009 -0400

    INSTALL, NEWS, README or AUTHORS files are missing/incorrect #24206
    
    Add missing INSTALL file. Use standard GNU file on building tarball
    README may have been updated
    Remove AUTHORS file as it is empty and no content available yet.
    Remove NEWS file as it is empty and no content available yet.

commit 02cd3d7a617c71dbc13023f91f41b896dc260c50
Author: Gaetan Nadon <memsize@videotron.ca>
Date:   Tue Oct 27 15:07:25 2009 -0400

    Deploy the new XORG_DEFAULT_OPTIONS #24242
    
    This macro aggregate a number of existing macros that sets commmon
    X.Org components configuration options. It shields the configuration file from
    future changes.

commit 1ca6aefa6690930b336490525f5ed515ddad26ac
Author: Gaetan Nadon <memsize@videotron.ca>
Date:   Mon Oct 26 22:08:42 2009 -0400

    Makefile.am: ChangeLog not required: EXTRA_DIST or *CLEANFILES #24432
    
    ChangeLog filename is known to Automake and requires no further
    coding in the makefile.

commit 1c158db62ad2c7584d88e840f3c7fe151de84150
Author: Gaetan Nadon <memsize@videotron.ca>
Date:   Thu Oct 22 12:34:19 2009 -0400

    .gitignore: use common defaults with custom section # 24239
    
    Using common defaults will reduce errors and maintenance.
    Only the very small or inexistent custom section need periodic maintenance
    when the structure of the component changes. Do not edit defaults.

commit 5e14cd9bd8a8f9266ecaa69d58c15d8e298d8a78
Author: Jeremy Huddleston <jeremyhu@freedesktop.org>
Date:   Wed Oct 21 12:47:24 2009 -0700

    This is not a GNU project, so declare it foreign.
    
    On Wed, 2009-10-21 at 13:36 +1000, Peter Hutterer wrote:
    > On Tue, Oct 20, 2009 at 08:23:55PM -0700, Jeremy Huddleston wrote:
    > > I noticed an INSTALL file in xlsclients and libXvMC today, and it
    > > was quite annoying to work around since 'autoreconf -fvi' replaces
    > > it and git wants to commit it.  Should these files even be in git?
    > > Can I nuke them for the betterment of humanity and since they get
    > > created by autoreconf anyways?
    >
    > See https://bugs.freedesktop.org/show_bug.cgi?id=24206
    
    As an interim measure, replace AM_INIT_AUTOMAKE([dist-bzip2]) with
    AM_INIT_AUTOMAKE([foreign dist-bzip2]). This will prevent the generation
    of the INSTALL file. It is also part of the 24206 solution.
    
    Signed-off-by: Jeremy Huddleston <jeremyhu@freedesktop.org>

commit fbf229879370a96a070ebf087426f6f6c0dbe5a2
Author: Peter Hutterer <peter.hutterer@who-t.net>
Date:   Fri Aug 28 14:49:15 2009 +1000

    libXcursor 1.1.10
    
    Signed-off-by: Peter Hutterer <peter.hutterer@who-t.net>

commit 59e3f6520f4d1682d3242d1d5656e7972cf11944
Author: Alan Coopersmith <alan.coopersmith@sun.com>
Date:   Mon Feb 2 20:34:32 2009 -0800

    Add README with pointers to mailing list, bugzilla & git repos
    
    Signed-off-by: Alan Coopersmith <alan.coopersmith@sun.com>

commit f00ae32322d2b3c5d97724b80c72d3e2d0812935
Author: Paulo Cesar Pereira de Andrade <pcpa@mandriva.com.br>
Date:   Thu Jan 29 15:34:11 2009 -0200

    Janitor: make distcheck, compiler warnings, extra .gitignore files.

commit 04641d3cc3e2f7389c5a3ea6e1d55543e033153f
Author: Matthieu Herrb <matthieu.herrb@laas.fr>
Date:   Sun Mar 9 00:34:36 2008 +0100

    nuke RCS Ids

commit 94531dc8f6eff9c9f5cbb18ca6b3d4ff79eec752
Author: James Cloos <cloos@jhcloos.com>
Date:   Thu Dec 6 16:38:25 2007 -0500

    Replace static ChangeLog with dist-hook to generate from git log

commit a4f29e6deef2bf46cae811aaac1f535945cd9fee
Author: Alan Coopersmith <alan.coopersmith@sun.com>
Date:   Fri Aug 24 14:01:07 2007 -0700

    Version bump: 1.1.9

commit 5a2601740d04d4180e77695c4b60f2cf5c84be6c
Author: Alan Coopersmith <alan.coopersmith@sun.com>
Date:   Wed Aug 22 19:40:55 2007 -0700

    Make shadow man pages for each function

commit fef474da694ea3c1fd184d93cc07bf8d95f89327
Author: Alan Coopersmith <alan.coopersmith@sun.com>
Date:   Tue Aug 21 19:45:35 2007 -0700

    Add XCURSOR_PATH to man page

commit a9ccf1bd91ad6e06f7b7116efe836c365b68645b
Author: Alan Coopersmith <alan.coopersmith@sun.com>
Date:   Tue Aug 21 19:33:00 2007 -0700

    Use cursorpath found by configure in man page

commit 110131bd40d0fc042f4a81922372307a1582b591
Author: Tilman Sauerbeck <tilman@code-monkey.de>
